<!-- These are examples of badges you might want to add to your README:
     please update the URLs accordingly

[![Built Status](https://api.cirrus-ci.com/github/<USER>/AstroForge.svg?branch=main)](https://cirrus-ci.com/github/<USER>/AstroForge)
[![ReadTheDocs](https://readthedocs.org/projects/AstroForge/badge/?version=latest)](https://AstroForge.readthedocs.io/en/stable/)
[![Coveralls](https://img.shields.io/coveralls/github/<USER>/AstroForge/main.svg)](https://coveralls.io/r/<USER>/AstroForge)
[![PyPI-Server](https://img.shields.io/pypi/v/AstroForge.svg)](https://pypi.org/project/AstroForge/)
[![Conda-Forge](https://img.shields.io/conda/vn/conda-forge/AstroForge.svg)](https://anaconda.org/conda-forge/AstroForge)
[![Monthly Downloads](https://pepy.tech/badge/AstroForge/month)](https://pepy.tech/project/AstroForge)
[![Twitter](https://img.shields.io/twitter/url/http/shields.io.svg?style=social&label=Twitter)](https://twitter.com/AstroForge)
-->

# AstroForge

<p align="center">A Python library of astrodynamics tools.</p>

AstroForge is meant to be used for satellite state propagation and the computation of observations from ground-based or space-based sensors. Precise orbit fitting requires pristine knowledge of the observer’s site location in inertial coordinates, which in turn requires methodical handling of coordinate systems and the conversions between them. The goal of AstroForge is to make all of this **easy**.

## Installation

From this repository's top-level directory, run the command

```console
pip install .
```

## Usage

For details on how to use the various features of `AstroForge`, we recommend following the Jupyter notebooks in the `examples/` directory.

You can also read the project's documentation [here](https://astroforge.readthedocs.io/en/latest/).

## Citation

Please use this DOI number reference, published on [Zenodo](https://zenodo.org), when citing the software:

[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.15066088.svg)](https://doi.org/10.5281/zenodo.15066088)

## Note

This project has been set up using PyScaffold 4.5. For details and usage
information on PyScaffold see https://pyscaffold.org/.

## Disclaimer

DISTRIBUTION STATEMENT A. Approved for public release. Distribution is unlimited.

Research was sponsored by the United States Air Force Research Laboratory and the United
States Air Force Artificial Intelligence Accelerator and was accomplished under Cooperative
Agreement Number FA8750-19-2-1000. The views and conclusions contained in this document
are those of the authors and should not be interpreted as representing the official
policies, eitherexpressed or implied, of the United States Air Force or the U.S.
Government. The U.S.Government is authorized to reproduce and distribute reprints
for Government purposes notwithstanding any copyright notation herein.

© 2024 Massachusetts Institute of Technology.
