# Copyright (c) 2024 Massachusetts Institute of Technology
# SPDX-License-Identifier: MIT

import numpy as np

from astroforge import R_moon, R_moon_MEMED, R_sun, R_sun_MEMED


def test_R_moon():
    rm = R_moon(60120.0)
    # generated by A. Lue's MATLAB code
    truth = [-393306.445803605, 65457.6081340291, 55106.4282847778]
    np.testing.assert_allclose(rm, truth)


def test_R_moon_MEMED():
    rm = R_moon_MEMED(60120.0)
    # generated by A. Lue's MATLAB code
    truth = [-393769.310435859, 63390.5180923241, 54210.2350709873]
    np.testing.assert_allclose(rm, truth)


def test_R_sun():
    rs = R_sun(60120.0)
    # generated by A. Lue's MATLAB code
    truth = [-7684938.81964188, 139331153.96905, 60407448.2182043]
    np.testing.assert_allclose(rs, truth)


def test_R_sun_MEMED():
    rs = R_sun_MEMED(60120.0)
    # generated by A. Lue's MATLAB code
    truth = [-8554218.34801693, 139288505.215355, 60388957.7205158]
    np.testing.assert_allclose(rs, truth)
